package de.hhu.ba.yoshikoWrapper.help;

import java.net.URI;
import java.net.URISyntaxException;
import java.util.HashMap;

import de.hhu.ba.yoshikoWrapper.swing.components.EditCostPanel;

public final class HelpLinks {
	
	private static final String docLocation = "file:///home/philipp/workspace/cs/BachelorThesis/YoshikoWrapper/thesis/tex/Thesis.pdf";
	
	private static final HashMap <Class<?>,URI> helpLinks;
	
	static {
		helpLinks = new HashMap<Class<?>,URI>();
		try {
			helpLinks.put(EditCostPanel.class, (buildURI("subsubsection.2.2.1")));
		} catch (URISyntaxException e) {
			e.printStackTrace();
		}
	}
	
	public static URI getHelpLink(Class<?> c) {
		if (helpLinks.containsKey(c)) {
			return helpLinks.get(c);
		}
		return null;
	}
	
	private static URI buildURI(String fragment) throws URISyntaxException {
		return new URI(null,docLocation,fragment);
	}
	
}
